%define snapshot 0
%define date 20130523

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 0
%endif
%define qtmajor 5
%define qtminor 11
%define qtsubminor 2

%define rel 1
%define pre rc
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtimageformats_d %mklibname qt5imageformats -d

%if %snapshot 
%define qttarballdir qtimageformats-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtimageformats-everywhere-src-%{qtversion}
%endif

Name: qtimageformats5
Version: 5.11.2
Release: %mkrel 1
Summary: Qt ImageFormats component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
# TRACK: https://bugreports.qt-project.org/browse/QTBUG-33116
#BuildRequires: libmng-devel
BuildRequires: pkgconfig(libtiff-4)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 ImageFormats component.

%files
%_qt5_plugindir/imageformats/*.so

#------------------------------------------------------------------------------

%package -n %{libqtimageformats_d}
Summary: Devel files needed to build apps based on QtImageFormats
Group:    Development/KDE and Qt
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libqtimageformats_d}
Devel files needed to build apps based on QtImageFormats.

%files -n %{libqtimageformats_d}
%{_qt5_libdir}/cmake/Qt5Gui/*.cmake

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtImageFormats%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtImageFormats5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtimageformats.qch
%{_qt5_docdir}/qtimageformats/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtimageformats-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog
* Mon Oct 15 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
